<!DOCTYPE html>
<html>
<head>
  <meta charset="UTF-8">
  <title>Form work1</title>
  <script>
    /*
      Задание:

      1. Сгенерировать список стран в Select countries
      2. При выборе страны генерировать еще один Select со списком
        городов этой страны и вывести этот селект в блок result
      3. При выборе города нужно случайно рандомить температуру от
      -10 градусов до +40. Если температура

        -10 до 0 то 'Солнечно' 'Легкий снегопад' 'Сильный снегопад'
        0 до 30 то  'Солнечно' 'Дождь' 'Ветер' 'Сильный дождь'
        30 до 40 то 'Солнечно' 'Засуха' 'Ветер'

      4. Вывести сообщение на страничку
        {Country}. В {City} {Weather} {Temperature} градусов.
        Ukraine. В Kyiv Солнечно -10 градусов

        + бонус добавить красивые картинки с погодой
    */

    /* У меня такое чувство, что это очень плохо, 
    может у тебя есть ссылка на красивое решение 
    этой задачи?
    Я даже не хочу заморачиваться с картинками */

    document.addEventListener("DOMContentLoaded", function () {
      
      let countries = ['Ukraine', 'Poland', 'USA'];
      let cities = {
        'Ukraine' : ['Kyiv', 'Lviv', 'Odesa', 'Charkiv'],
        'Poland' : ['Warszawa', 'Poznan', 'Krakow', 'Katowice'],
        'USA' : ['New York', 'Los Angeles', 'Las Vegas', 'Chicago']
      }
      let temperature = Math.floor(Math.random() * (40 - (-10)) + (-10));

      let countriesSelection = document.getElementById('countries');
      let optionBlock = document.getElementById('optionBlock');
      let result = document.getElementById('result');

      function createElem (elem, className, text, parent = document.body) {
        let element = document.createElement(elem);
        if (className) {element.classList.add(className);}
        if (text) {element.innerHTML = text;}        
        parent.appendChild(element);
        return element
      }

      function createSelections (opt, optSelection, optArray, text) {
        opt.disabled = true;
        optSelection.appendChild(opt);
        optArray.forEach(function(country){
          let option = new Option(country, country);
          optSelection.appendChild(option);
        });
      }

      let countryOpt = new Option('Choose Country', null, false, true);
      createSelections(countryOpt, countriesSelection, countries);    

      countriesSelection.addEventListener('change', function(e){
        let country = e.target.value;

        let citiesSelections = createElem('select', 'citiesSelections', null, optionBlock)
        let cityOpt = new Option('Choose City', null, false, true);
        createSelections(cityOpt, citiesSelections, cities[country]);    

        citiesSelections.addEventListener('change', function(e){
          let city = e.target.value;

          function getWheather (temperature) {
            let wheatherStatus;
            if (temperature < 0) {
              wheatherStatus = 'cold';
            } else if (temperature >= 0 && temperature <= 30 ) {
              wheatherStatus = 'norm';
            } else {
              wheatherStatus = 'hell';
            }
            const wheather = {
              'cold' : ['Солнечно', 'Легкий снегопад', 'Сильный снегопад'],
              'norm' : ['Солнечно', 'Дождь', 'Ветер', 'Сильный дождь'],
              'hell' : ['Солнечно', 'Засуха', 'Ветер']
            }
            let wheatherOptions = wheather[wheatherStatus];
            let randomStatus = Math.floor(Math.random() * wheatherOptions.length);
            return wheatherOptions[randomStatus]
          }

          whetherInCity = getWheather(temperature);
          let whetherText = `${country}. В ${city} ${whetherInCity} ${temperature} градусов`

          //Finish Him
          let whetherInCityBlock = createElem('p', 'whetherInCityBlock', whetherText, result);
        });
      });
    });
  </script>
</head>
<body>
<div id="optionBlock">
    <select id="countries"></select>
</div>
<div id="result"></div>
</body>
</html>
